ILSEL_ENABLE_FIXED(9)

NAME
ilsel_enable_fixed - Enable an ILSEL set at a fixed interrupt level

SYNOPSIS

int ilsel_enable_fixed(ilsel_source_t set, unsigned int level);

ARGUMENTS

set
    ILSEL source (see ilsel_source_t enum in include/asm-sh/ilsel.h).

level
    Interrupt level (1 - 15)

DESCRIPTION

Enables a given ILSEL source at a fixed interrupt level. Necessary both for level reservation as well as for aliased sources that only exist on special ILSEL#s.

Returns an IRQ number (as ilsel_enable).

AUTHOR

Paul Mundt <lethal@linux-sh.org>
    Author.

COPYRIGHT